Skip to main content
GET
/
regions
/
{region_id}
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "label": "<string>",
  "zone": "<string>",
  "selection_label": "<string>",
  "project_label": "<string>",
  "timezone": "<string>",
  "available": true,
  "private": true,
  "endpoint": "<string>",
  "provider": {
    "name": "<string>",
    "logo": "<string>"
  },
  "datacenter": {
    "name": "<string>",
    "label": "<string>",
    "location": "<string>"
  },
  "environmental_impact": {
    "zone": "<string>",
    "carbon_intensity": "<string>",
    "green": true
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

region_id
string
required

The ID of the region.

Response

OK

The hosting region.

id
string

The ID of the region.

label
string

The human-readable name of the region.

zone
string

Geographical zone of the region

selection_label
string

The label to display when choosing between regions for new projects.

project_label
string

The label to display on existing projects.

timezone
string

Default timezone of the region

available
boolean

Indicator whether or not this region is selectable during the checkout. Not available regions will never show up during checkout.

private
boolean

Indicator whether or not this platform is for private use only.

endpoint
string

Link to the region API endpoint.

provider
object

Information about the region provider.

datacenter
object

Information about the region provider data center.

environmental_impact
object

Information about the region provider's environmental impact.